%mGetInputData_for_InteractiveAnalysis.m

counter=0;
InputData=[];
indcomm=[0 indcomm length(INPUT)+1];
for c=1:length(indcomm)-1
    betweencomm=INPUT(indcomm(c)+1:indcomm(c+1)-1);
    if isempty(findstr('-',betweencomm))
        counter=counter+1;
        InputData(1,counter)=str2num(str2mat(betweencomm));
        if InputData(1,counter)==0
            ZeroInput=1;
            break
        end
        if InputData(1,counter)>length(Univ)
            OutsideBound=1;
            break
        end
    elseif length(findstr('-',betweencomm))==1
        counter=counter+1;
        ind=findstr('-',betweencomm);
        n1=str2num(str2mat(betweencomm(1:ind-1)));
        n2=str2num(str2mat(betweencomm(ind+1:end)));
        if n1==0 || n2==0
            ZeroInput=1;
            break
        end
        if max(n1,n2)>length(Univ)
            OutsideBound=1;
            break
        end
        InputData(1,counter)=n1;
        InputData(2,counter)=n2;

    else fprintf('Error: more than 1 - within a , separated block');
    end
end
